@import '../../../styles/mixins';
@import '../../../styles/props';

:host {
  position: absolute;
  top: 0;
  right: 100px;
  display: block;
  width: 340px;
  margin-bottom: 40px;
  margin-top: 40px;
}

// spinner
app-spinner {
  height: 200px;
}

// form
form {
  margin: 28px 0 22px;

  // form items gap
  > * + * {
    margin-top: 12px;
  }

  > * + button {
    margin-top: 0;
  }
}

// agreement
.app-agreement {
  @include flex(flex-start);

  app-checkbox {
    position: relative;
    top: 3px;
  }
}

// agreement message
.app-agreement-message {
  @include robotoRegular;
  width: calc(100% - 18px);
  font-size: 12px;
  line-height: 20px;
  word-break: break-word;
  color: $eclipse;
  margin-left: 6px;
  cursor: pointer;
  user-select: none;

  strong {
    margin-right: 6px;
  }
}

.app-flat-button {
  margin-top: 42px;
  width: 100%;
}

.app-footer {
  @include robotoRegular;
  margin-top: 28px;
  font-size: 12px;
  line-height: 14px;
  color: $eclipse;
  text-align: center;
}

//media qureis for mobile devices
@media (max-width: 767px) {
  :host {
    width: 100%;
    position: absolute;
    right: 0;
    margin: 0;
    z-index: 1;
  }
  app-card {
    min-height: 100vh;
  }
  app-card-title {
    margin-top: 30px;
  }
}

@media (min-width: 768px) and (max-width: 1024px) {
  :host {
    right: 20px;
  }
}
